%global momorel 1
%global md5sum_src0 d5b273a072785ee14a85ff76f66850aa

Summary: Library for communicating with and sending data to an icecast server
Name:		 libshout
Version: 2.2
Release: %{momorel}m
License: LGPL
URL:		 http://www.icecast.org/
%NoSource 0 http://downloads.xiph.org/releases/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group:		 System Environment/Libraries
BuildRequires: libvorbis-devel, libogg-devel, libtheora-devel

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

%package devel
Summary: shout library development
Group:	 Development/Libraries
Requires: %{name} = %{version}

%description devel
%description devel
The libshout-devel package contains the header files and documentation
needed to develop applications with libshout.
 
%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -r %{buildroot}%{_docdir}/libshout/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/libshout.so.*

%files devel
%defattr(-, root, root)
%doc examples/*.c
%{_includedir}/*
%{_libdir}/libshout.so
%{_libdir}/libshout.a
%{_libdir}/libshout.la
%{_datadir}/aclocal/shout.m4
%{_libdir}/pkgconfig/shout.pc

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sun May 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.2-1m)
- update to 2.2

* Tue Jan  3 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2.1-2m)
- rebuild with libtheora

* Sun Mar 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.1-1m)
- initial commit

